## com.TwentyCodes.android.SkyHook
Class SkyHookRegistration

    java.lang.Object
      com.TwentyCodes.android.SkyHook.SkyHookRegistration

    public class SkyHookRegistration

extends Object

this class will be used to register new users with skyhook

Author:
  ricky barrette

Constructor Summary
`SkyHookRegistration(Context context)`

Method Summary
`static String` `getUserName(Context context)` returns the users username
`void` `registerNewUser(RegistrationCallback listener)` attempts to register the user by their cell # TODO hash cell number for privacy

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyHookRegistration

    public SkyHookRegistration(Context context)

Method Detail

### registerNewUser

    public void registerNewUser(RegistrationCallback listener)

  attempts to register the user by their cell # TODO hash cell number for privacy

  Parameters:
    `listener` - for call back methods

### getUserName

    public static String getUserName(Context context)

  returns the users username

  Parameters:
    `context` -
  Returns: